> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gloo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Analysis

> Analysis.

<Warning>
  **Deprecated Endpoint**: This endpoint is deprecated and no longer supported.
</Warning>


## OpenAPI

````yaml post /ai/v1/kallm/sotc/analysis
openapi: 3.1.0
info:
  title: AI API
  description: |-
    Optimized for high-speed inference and scalability by Gloo AI

    [Swagger UI](./docs) | [ReDoc UI](./redoc)
  version: 1.0.0
servers:
  - url: https://platform.ai.gloo.com
security:
  - bearerAuth: []
tags:
  - name: Content Controls
  - name: Data Engine
  - name: Ingestion & Enrichment
  - name: answers
  - name: chat
  - name: completions
  - name: content
  - name: core
  - name: data
  - name: get-models
  - name: ingestion
  - name: sotc
paths:
  /ai/v1/kallm/sotc/analysis:
    post:
      tags:
        - sotc
      summary: Analysis
      description: Analysis.
      operationId: analysis_ai_v1_kallm_sotc_analysis_post
      parameters:
        - name: webhook_url
          in: query
          required: true
          schema:
            type: string
            title: Webhook Url
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/Body_analysis_ai_v1_kallm_sotc_analysis_post
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '202':
          description: Processing started in background
          content:
            application/json:
              example:
                message: >-
                  Analysis started in background. Results will be sent to the
                  webhook URL when complete.
        '422':
          description: Invalid file format. Please upload a CSV file.
          content:
            application/json:
              example:
                detail: Invalid file format. Please upload a CSV file.
        '500':
          description: Internal server error
          content:
            application/json:
              example:
                detail: Internal server error
      deprecated: true
components:
  schemas:
    Body_analysis_ai_v1_kallm_sotc_analysis_post:
      properties:
        csvFile:
          type: string
          format: binary
          title: CSV file containing data to analyze
          description: >-
            The first line of the CSV file should contain the header, and the
            second line should contain the national average. The rest of the
            file should contain the data to analyze.
      type: object
      required:
        - csvFile
      title: Body_analysis_ai_v1_kallm_sotc_analysis_post
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form Bearer `<token>`, where
        `<token>` is your [auth token](/studio/manage-api-credentials).

````